import { HTMLTextRenderer } from './text';
import { RendererFactory } from './renderer_factory';
import type { CurrencyRenderOptions, StyleDefaults } from './data_styles';
import type { RendererOptions } from './renderer_types';
import type { Renderer } from './renderer';
import type { Cell, Field } from '../data_tree';
export declare class HTMLCurrencyRenderer extends HTMLTextRenderer {
    readonly options: CurrencyRenderOptions;
    constructor(document: Document, options: CurrencyRenderOptions);
    getText(data: Cell): string | null;
}
export declare class CurrencyRendererFactory extends RendererFactory<CurrencyRenderOptions> {
    static readonly instance: CurrencyRendererFactory;
    constructor();
    create(document: Document, _styleDefaults: StyleDefaults, _rendererOptions: RendererOptions, _field: Field, options: CurrencyRenderOptions): Renderer;
    get rendererName(): string;
}
